#ifndef __NLL_LINE_H_INCLUDED__
#define __NLL_LINE_H_INCLUDED__

struct line {
  struct line *next;
  struct line *prev;
  char buffer[LINE_MAXLEN + 1];
  command_t commands;
};

int line_check(void);
int line_alloc(line_t *linep);
int line_free(line_t line);
int line_clear(void);
int line_clean(void);
int line_init(void);
int line_done(void);
line_t line_head(void);
line_t line_tail(void);
int line_list_num(void);
int line_is_exist(line_t line);
int line_get(int number, line_t *linep);
int line_set(int number, int number2, char *buffer, line_t *linep, int save, int move);
int line_print(FILE *fp, int start_number, int end_number);
int line_dump(FILE *fp, line_t line);

#endif
